﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/Master.master" AutoEventWireup="true" CodeFile="EditPageContent.aspx.cs" Inherits="Administrator_EditPageContent" ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <script src="../Scripts/tinymce/tiny_mce.js" type="text/javascript"></script>
    <script type="text/javascript" src="../Scripts/tinymce/tinymce.min.js"></script>
    <script type="text/javascript" src="<your installation path>/tinymce/tinymce.min.js"></script>
    <script type="text/javascript">
        tinymce.init({
            selector: "textarea",
            toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
            plugins: [
              "advlist autolink lists link image charmap print preview anchor",
              "advlist autolink lists link image charmap print preview anchor",

            ]
        });
    </script>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="cphHeaderContent" runat="Server">
    <div id="divPageMessages" runat="server" class="pageMessages" visible="false">
        <asp:Literal ID="litPageMessages" runat="server" />
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="cphContentCaption" runat="Server">
    <div id="Layout">
    <fieldset>
        <legend>
            <asp:Literal ID="litLegend" runat="server" Text="<%$Resources:Captions,EditContent %>" />
        </legend>
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblFileName" runat="server" Text="<%$Resources:Captions,FileName %>" CssClass="lable" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtFileName" runat="server" MaxLength="40" CssClass="fileName" />
            </div>
        </div>
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblEditContent" runat="server" Text="<%$Resources:Captions,EditContent %>" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtEditContent" runat="server" MaxLength="1000" TextMode="MultiLine" Rows="10" Columns="70" />
            </div>
        </div>
        <div class="field">
            <div class="button">
                <asp:Button ID="btnOpen" runat="server" Text="<%$Resources:Buttons,Open %>" AccessKey="O" OnClick="btnOpen_Click" />
                &nbsp
                <asp:Button ID="btnSave" runat="server" Text="<%$Resources:Buttons,Save %>" AccessKey="S" OnClick="btnSave_Click" />
            </div>
        </div>
    </fieldset>
        </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="cphContentControls" runat="Server">
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="cphContentFooter" runat="Server">
</asp:Content>
<asp:Content ID="Content10" ContentPlaceHolderID="cphMenuCenter" runat="Server">
</asp:Content>
<asp:Content ID="Content11" ContentPlaceHolderID="cphMenu" runat="Server">
</asp:Content>
<asp:Content ID="Content12" ContentPlaceHolderID="cphFooterLeft" runat="Server">
</asp:Content>
<asp:Content ID="Content13" ContentPlaceHolderID="cphFooterCenter" runat="Server">
</asp:Content>

