﻿namespace MyWebApplication
{
    public class LocalizedPage : BasePage
    {
        public LocalizedPage()
        {
        }

        //اول کار مشخص میکنیم صفحه به چه زبانی دیده بشه
        protected override void InitializeCulture()
        {
            base.InitializeCulture();

            if (Session["Culture"] == null)
            {
                //Session["Culture"] = "en-US";
                Session["Culture"] = "fa-IR";
            }
            //دو متغییر ذیل را فقط در ایونت جاری میتوانیم تغییر دهیم
            //این دو متغییر را برابر سشن کالچر قرار میدهیم
            Culture = Session["Culture"].ToString();
            UICulture = Session["Culture"].ToString();
        }

        //در ایونت ذیل که بعد از ایونت بالا اتفاق میفتد تم را نسبت به سشن کالچر تغییر میدهیم
        protected override void OnPreInit(System.EventArgs e)
        {
            base.OnPreInit(e);

            switch (Session["Culture"].ToString().ToUpper())
            {
                case "FA-IR":
                case "AR-SA":
                    {
                        Theme = "RTL";
                        break;
                    }

                //case "EN-US":
                //case "FR-FR":
                default:
                    {
                        Theme = "LTR";
                        break;
                    }
            }
        }
    }
}
