﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Errors_Error404 : MyWebApplication.LocalizedPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //توسط دستور ذیل مسیری که خطا در آن اتفاق افتاده را بدست میاریم
        string strAspxErrorPath =
           Request.Params["aspxerrorpath"];
        //نام صفحه حاوی خطا رو هم بدست میاریم
        string strFileName =
            System.IO.Path.GetFileName(strAspxErrorPath);
        //نام صفحه رو بزرگ میکنیم
        switch (strFileName.ToUpper())
        {
                //با کیس های ذیل چک میکنیم چون ممکنه کاربر اشتباه تایپ کرده باشه سه صفحه ای رو
            case "DEFALT.ASPX":
            case "DEFUALT.ASPX":
            case "DEFAULT.ASPX":
                {
                    //اگر با یکی از کیس ها جور دراومد ریدایرکت میکنیم به آدرس صحیح
                    Response.Redirect("~/Default.aspx", false);
                    break;
                }

            default:
                {
                    break;
                }
        }
    }
}