﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Help : MyWebApplication.LocalizedPage
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
        if (Page.IsPostBack == false)
        {
            Initialize();
        }
    }

    private void Initialize()
    {
        System.IO.StreamReader oStreamReader = null;

        try
        {
            string strPath = Server.MapPath("~/App_Data/PageContents");

            string strFileName;
            if (Session["Culture"].ToString() == "en-US")
            {
                strFileName = "Help.html";
            }
            else
            {
                strFileName = "Help_" + Session["Culture"].ToString() + ".html";
            }

            string strPathName = strPath + "\\" + strFileName;

            oStreamReader =
                new System.IO.StreamReader(strPathName, System.Text.Encoding.UTF8);

            litPageContent.Text = oStreamReader.ReadToEnd();
        }
        catch (Exception ex)
        {

            litPageContent.Text = ex.Message;
        }

        finally
        {
           
            oStreamReader.Dispose();
            oStreamReader = null;
            
        }


    }
}