﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DeleteUser.ascx.cs" Inherits="UserControls_DeleteUser" %>
<div id="Layout">
    <div id="divPageMessage" runat="server" class="pageMessages">
        <asp:Literal ID="litPageMessage" runat="server" />
    </div>
    <br />
    <fieldset>
        <legend>
            <asp:Literal ID="litLegend" runat="server" Text="<%$Resources:Captions,Login%>" />
        </legend>
        <br />
        <asp:ValidationSummary ID="myValidationSummary" runat="server" CssClass="validator" EnableClientScript="true"
            DisplayMode="BulletList" HeaderText="<%$Resources:Messages,ErrorMessage007 %>" ShowSummary="true" ShowMessageBox="false" />
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblUsername" runat="server" CssClass="lable" Text="<%$Resources:Captions,Username%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtUsername" runat="server" CssClass="username" MaxLength="20" Enabled="False" ReadOnly="True" />

                <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ControlToValidate="txtUsername"
                    CssClass="validator" EnableClientScript="true" Text="*"
                    SetFocusOnError="true" Display="Dynamic" />

                <asp:RegularExpressionValidator ID="revUsername" runat="server" ControlToValidate="txtUsername"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage008 %>"
                    ValidationExpression="[a-zA-Z0-9]{4,20}" />
            </div>
        </div>

        <br />

        <div class="field">
            <asp:Button ID="btnDelete" runat="server" CssClass="button" Text="<%$Resources:Buttons,Delete %>" OnClick="btnDelete_Click" />
            <asp:Button ID="btnCancel" runat="server" CssClass="button" Text="<%$Resources:Buttons,Cansel %>" />

        </div>

    </fieldset>
</div>
