﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Login.ascx.cs" Inherits="UserControls_Login" %>
<div id="Layout">
    <div id="divPageMessage" runat="server" class="pageMessages">
        <asp:Literal ID="litPageMessage" runat="server" />
    </div>
    <br />
    <fieldset>
        <legend>
            <asp:Literal ID="litLegend" runat="server" Text="<%$Resources:Captions,Login%>" />
        </legend>
        <br />
        <asp:ValidationSummary ID="myValidationSummary" runat="server" CssClass="validator" EnableClientScript="true"
            DisplayMode="BulletList" HeaderText="<%$Resources:Messages,ErrorMessage007 %>" ShowSummary="true" ShowMessageBox="false"
            ValidationGroup="Login" />
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblUsername" runat="server" CssClass="lable" Text="<%$Resources:Captions,Username%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtUsername" runat="server" CssClass="username" MaxLength="20" />

                <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ControlToValidate="txtUsername"
                    CssClass="validator" EnableClientScript="true" Text="*"
                    SetFocusOnError="true" Display="Dynamic" ValidationGroup="Login" />

                <asp:RegularExpressionValidator ID="revUsername" runat="server" ControlToValidate="txtUsername"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage008 %>"
                    ValidationExpression="[a-zA-Z0-9]{4,20}" ValidationGroup="Login" />
            </div>
        </div>
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblPassword" runat="server" CssClass="lable" Text="<%$Resources:Captions,Password%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtPassword" runat="server" CssClass="password" MaxLength="20" TextMode="Password" />

                <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ControlToValidate="txtPassword"
                    CssClass="validator" EnableClientScript="true" Text="*"
                    SetFocusOnError="true" Display="Dynamic" ValidationGroup="Login" />

                <asp:RegularExpressionValidator ID="revPassword" runat="server" ControlToValidate="txtPassword"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage009 %>"
                    ValidationExpression="[a-zA-Z0-9]{6,20}" ValidationGroup="Login" />

            </div>
        </div>
        <br />

        <div class="field">
            <asp:Button ID="btnSubmit" runat="server" CssClass="button" Text="<%$Resources:Buttons,Submit %>" ValidationGroup="Login" OnClick="btnSubmit_Click" />
            <asp:Button ID="btnCancel" runat="server" CssClass="button" Text="<%$Resources:Buttons,Cansel %>" ValidationGroup="Login" OnClick="btnCancel_Click" />

        </div>

    </fieldset>

    
</div>
